#include <stdint.h>
#if defined( WIN32 )
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <windows.h>
#define PROGMEM
#define PGM_P uint8_t*
#define memcpy_P memcpy
#define _delay_ms(a) Sleep(a)
#define pgm_read_word(a) (*(uint16_t*)(a))
#define pgm_read_byte(a) (*(uint8_t*)(a))
extern int win_graph(void);
#else
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/eeprom.h>
#include <avr/io.h>
#include <avr/wdt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#endif

#include "sym.h"

uint8_t symbol_table[] PROGMEM = 
{
	symbol_NOP,  // NOP/SPACE
	frame_smile,
	symbol_A,    //A 
	symbol_B,    //B 
	symbol_C,    //C 
	symbol_E,    //E 
	symbol_H,    //H 
	symbol_K,    //K 
	symbol_M,    //M 
	symbol_O,    //O 
	symbol_P,    //P 
	symbol_T,    //T 
	symbol_X,    //X 
	symbol_Y,    //Y 
	symbol_EX,   //! 
	symbol_EXEX, //!!
#if defined( LAT )
	symbol_D,    //D 
	symbol_F,    //F 
	symbol_G,    //G 
	symbol_I,    //I 
	symbol_J,    //J 
	symbol_L,    //L 
	symbol_N,    //N 
	symbol_Q,    //Q 
	symbol_R,    //R 
	symbol_S,    //S 
	symbol_U,    //U 
	symbol_V,    //V 
	symbol_W,    //W 
	symbol_Z,    //Z
#endif
#if defined( CYR )
	symbol_BE,   // 
	symbol_GE,   // 
	symbol_DE,   // 
	symbol_JE,   // 
	symbol_ZE,   // 
	symbol_II,   // 
	symbol_IY,   // 
	symbol_EL,   // 
	symbol_PE,   // 
	symbol_FE,   // 
	symbol_CE,   // 
	symbol_CH,   // 
	symbol_SH,   // 
	symbol_SHE,  // 
	symbol_Ib,   // 
	symbol_bI,   //
	symbol_b,    //
	symbol_EE,   // 
	symbol_JU,   // 
	symbol_YA,   //
#endif
#if defined( NUMB )
	symbol_0,    //0
	symbol_1,    //1
	symbol_2,    //2
	symbol_3,    //3
	symbol_4,    //4
	symbol_5,    //5
	symbol_6,    //6
	symbol_7,    //7
	symbol_8,    //8
	symbol_9,    //9
#endif
#if defined( SYMB )
	frame_spruce1,
	frame_spruce2,
	frame_spruce3,
	frame_spruce4,
	frame_man1,
	frame_man2,
	frame_man3,
	frame_smile2,
	symbol_DOT,
	symbol_COM,
	frame_salute0,
	frame_salute1,
	frame_salute2,
	frame_salute3,
	frame_salute4,
#endif
};

// 57 * 8 = 456
